Package org.apache.lucene.monitor

# Record Class Monitor.QueryCacheStats

java.lang.Object
java.lang.Record
org.apache.lucene.monitor.Monitor.QueryCacheStats

Record Components:
  `queries` - Total number of queries in the query index
  `cachedQueries` - Total number of queries int the query cache
  `lastPurged` - Time the query cache was last purged

Enclosing class:
  `Monitor`

public static record Monitor.QueryCacheStats(int queries, int cachedQueries, long lastPurged) extends Record
Statistics for the query cache and query index

## Constructor Summary

Constructors
Constructor
Description
`QueryCacheStats(int queries, int cachedQueries, long lastPurged)`
Creates an instance of a `QueryCacheStats` record class.

## Method Summary

Modifier and Type
Method
Description
`int`
`cachedQueries()`
Returns the value of the `cachedQueries` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`long`
`lastPurged()`
Returns the value of the `lastPurged` record component.
`int`
`queries()`
Returns the value of the `queries` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### QueryCacheStats

public QueryCacheStats(int queries, int cachedQueries, long lastPurged)
Creates an instance of a `QueryCacheStats` record class.

Parameters:
  `queries` - the value for the `queries` record component
  `cachedQueries` - the value for the `cachedQueries` record component
  `lastPurged` - the value for the `lastPurged` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### queries

public int queries()
Returns the value of the `queries` record component.

Returns:
  the value of the `queries` record component

### cachedQueries

public int cachedQueries()
Returns the value of the `cachedQueries` record component.

Returns:
  the value of the `cachedQueries` record component

### lastPurged

public long lastPurged()
Returns the value of the `lastPurged` record component.

Returns:
  the value of the `lastPurged` record component